Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1
Class AdministrationquantityType

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.AdministrationquantityType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-09-05T10:41:15+02:00",
               comments="JAXB RI v2.3.6")
    public class AdministrationquantityType

extends Object
implements Serializable

Java class for administrationquantityType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="administrationquantityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
             <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}administrationunitType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AdministrationquantityType()`

Method Summary
`BigDecimal` | `getDecimal()` Gets the value of the decimal property.
`AdministrationunitType` | `getUnit()` Gets the value of the unit property.
`void` | `setDecimal(BigDecimal value)` Sets the value of the decimal property.
`void` | `setUnit(AdministrationunitType value)` Sets the value of the unit property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdministrationquantityType

    public AdministrationquantityType()

Method Detail

### getDecimal

    public BigDecimal getDecimal()

  Gets the value of the decimal property.

  Returns:
    possible object is `BigDecimal`

### setDecimal

    public void setDecimal(BigDecimal value)

  Sets the value of the decimal property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getUnit

    public AdministrationunitType getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `AdministrationunitType`

### setUnit

    public void setUnit(AdministrationunitType value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `AdministrationunitType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.